#include "malem-nautilus-client.h"

void	  nautilus_module_list_types	(const GType **types,
					 gint         *num_types);
void	  nautilus_module_initialize	(GTypeModule  *module);
void	  nautilus_module_shutdown	(void);

static GType module_types[1];

void 
nautilus_module_list_types (const GType **types,
			    gint         *num_types)
{
	*types = module_types;
	*num_types = G_N_ELEMENTS (module_types);
}

void
nautilus_module_initialize (GTypeModule  *module)
{
	malem_nautilus_client_register_type (module);
	module_types[0] = malem_nautilus_client_get_type ();

	g_print ("Malem module initialized\n");
}

void 
nautilus_module_shutdown (void)
{
	g_print ("Malem module shutdown\n");
}
