#ifndef __MALEM_NAUTILUS_CLIENT_H__
#define __MALEM_NAUTILUS_CLIENT_H__

#include <glib.h>
#include <glib-object.h>
/*#include <mathusalem/mathusalem.h>*/
#include "malem-factory-client.h"
#include "malem-task-client.h"
#include "malem-file-transfer.h"

#define MALEM_TYPE_NAUTILUS_CLIENT	(malem_nautilus_client_get_type ())
#define MALEM_NAUTILUS_CLIENT(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_NAUTILUS_CLIENT, MalemNautilusClient))

typedef struct _MalemNautilusClient MalemNautilusClient;
typedef GObjectClass                MalemNautilusClientClass;

struct _MalemNautilusClient {
	GObject       object;

	/*< private >*/
	MalemFactory *factory;
	GList        *tasks;
	GList        *files;
	
	gulong        task_registered_handler_id;
};

GType malem_nautilus_client_get_type      (void);
void  malem_nautilus_client_register_type (GTypeModule *module);

#endif /* __MALEM_NAUTILUS_CLIENT__ */
 
