/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_INTERFACES_H__
#define __MALEM_INTERFACES_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

GType	 malem_interface_lookup			(GQuark              iface_quark);
void	 malem_type_add_interface_static	(GType               instance_type,
						 GQuark              iface_quark);
void	 malem_register_interface_static	(const char         *iface_name,
						 GType               iface_type,
						 GInterfaceInitFunc  iface_init,
						 GInstanceInitFunc   instance_init);
void	 malem_object_init_interfaces		(GObject            *object);

G_END_DECLS

#endif
