#!/usr/bin/env python
# -*- charset: utf-8 -*-

import client
import sys

l = len(sys.argv)
if l < 3:
    sys.stderr.write("Not enough parameters.\nUsage: %s [iface*] title owner\n" 
                     % sys.argv[0])
    sys.exit(-1)

try:
    factory = client.Factory()
    factory.register_task (sys.argv[1:l-2], sys.argv[l-2], sys.argv[l-1])
except:
    sys.stderr.write("Error while registering task\n");
    sys.exit(-1)

# ex:ts=4:et:
